Bootstrap 5.1.1 in Joomla! 4.0.3?

General questions relating to Joomla! 4.x.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting.
Forum Post Assistant - If you are serious about wanting help, you should use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10
Post Reply
User avatar
JurajB
Joomla! Explorer
Joomla! Explorer
Posts: 453
Joined: Fri Oct 02, 2015 3:28 pm

Bootstrap 5.1

Post by JurajB » Tue Aug 17, 2021 4:08 pm

Hello everyone.
Will be on the first maintance update bootstrap 5.1 included?

User avatar
JurajB
Joomla! Explorer
Joomla! Explorer
Posts: 453
Joined: Fri Oct 02, 2015 3:28 pm

Bootstrap 5.1.1 in Joomla! 4.0.3?

Post by JurajB » Thu Sep 09, 2021 10:02 am


User avatar
JurajB
Joomla! Explorer
Joomla! Explorer
Posts: 453
Joined: Fri Oct 02, 2015 3:28 pm

Re: Bootstrap 5.1.1 in Joomla! 4.0.3?

Post by JurajB » Thu Sep 09, 2021 2:29 pm

Does BS 5.1 have an backwards incompatibility issue? If so its pity.

User avatar
JurajB
Joomla! Explorer
Joomla! Explorer
Posts: 453
Joined: Fri Oct 02, 2015 3:28 pm

Bootstrap 5 on W3Schools.com

Post by JurajB » Sat Sep 25, 2021 4:32 pm

https://www.w3schools.com/bootstrap5/index.php
they will probably have an update to extend this basic context
bootstrap v is 5.1.1 atm, 5.1.2 is comming soon !
Bootstrap 5 is similiar to bootstrap 4 but it does not use jQuery instead they use hardcoded vannila javascript
thats for the info, dont hesitate and try some elements, you can use it and edit it the way you like..
Now question:
is Bs 5 and 5.1 compatibile?
Last edited by toivo on Sat Sep 25, 2021 11:24 pm, edited 2 times in total.
Reason: mod note: merged with the current topic, cross posting not allowed in forum rules, available from https://forum.joomla.org/viewtopic.php?f=8&t=65

User avatar
Pavel-ww
Joomla! Explorer
Joomla! Explorer
Posts: 451
Joined: Tue Jun 30, 2020 12:17 pm

Re: Bootstrap 5 on W3Schools.com

Post by Pavel-ww » Sun Sep 26, 2021 7:06 am

JurajB wrote:
Sat Sep 25, 2021 4:32 pm
https://www.w3schools.com/bootstrap5/index.php
they will probably have an update to extend this basic context
bootstrap v is 5.1.1 atm, 5.1.2 is comming soon !
Bootstrap 5 is similiar to bootstrap 4 but it does not use jQuery instead they use hardcoded vannila javascript
thats for the info, dont hesitate and try some elements, you can use it and edit it the way you like..
Now question:
is Bs 5 and 5.1 compatibile?
Hi.
BS 5 and BS 3 not compatible.
BS 5 and BS 4 fully compatible in CSS.
As for JS, if you want update your template, component, module, plugin from BS 4 to BS 5, you need to change the data attributes in all interactive components from data-xxxxx to data-bs-xxxxx

As for the compatibility of BS 5 and BS 5.1 between them (if you ask about it), you can not worry about it, at least before the release of the BS 6.


Post Reply

Return to “General Questions/New to Joomla! 4.x”